Subject: Re: Trouble compiling ms-sql-gw addon

From: Yomler <[email-masked]>
Date: Sat, 02 Jun 2001 22:17:11 +0200

[To be removed from this list send the message "unsubscribe fwtk-users" in the
BODY of a mail message to [email-masked].]

Hello,

Did you manage to compile the ms-sql-gw ?

I 'd like to know which extra lib you use on RH and where I could find them 
in order to success the compile.

Regards,

At 13:19 14/03/01 , [email-masked] wrote:
>[To be removed from this list send the message "unsubscribe fwtk-users" in the
>BODY of a mail message to [email-masked].]
>
>nuqneH,
>
>looks like you use incompatible md5 library. Try BSD one or one from OPIE.
>
>
>"Michael St. Laurent" <[email-masked]> said :
>
> > I am trying to get the ms-sql-gw addon to compile using the crypto 
> functions
> > from openssl.  This is on a RedHat 7.0 i386 system.  I've modified the
> > include line to find the "blowfish.h" file but I still get the following
> > errors:
> >
> > gcc -I.. -O -DLINUX -DPROTECTINBOUND   -c -o ms-sql-gw.o ms-sql-gw.c
> > In file included from ms-sql-gw.c:25:
> > /usr/include/md5.h:27: parse error before `UINT4'
> > /usr/include/md5.h:27: warning: no semicolon at end of struct or union
> > /usr/include/md5.h:28: warning: data definition has no type or storage 
> class
> > /usr/include/md5.h:30: parse error before `}'
> > /usr/include/md5.h:30: warning: data definition has no type or storage 
> class
> > /usr/include/md5.h:32: parse error before `PROTO_LIST'
> > /usr/include/md5.h:33: parse error before `PROTO_LIST'
> > /usr/include/md5.h:35: parse error before `PROTO_LIST'
> > /usr/include/md5.h:37: parse error before `PROTO_LIST'
> > ms-sql-gw.c:81: parse error before `md5_ctx'
> > ms-sql-gw.c:81: warning: data definition has no type or storage class
> > make: *** [ms-sql-gw.o] Error 1
>
>
>                                      _     _  _  _  _      _  _
>  {::} {::} {::}  CU in Hell          _| o |_ | | _|| |   / _||_|   |_ |_ |_
>  (##) (##) (##)        /Arkan#iD    |_  o  _||_| _||_| /   _|  | o |_||_||_|
>  [||] [||] [||]            Do i believe in Bible? Hell,man,i've seen one!

--
Yomler.